Skip to main content
GET
/
v3
/
locations
/
{location}
/
profiles
Browse Location Profiles
curl --request GET \
  --url https://api.{tenant}.getomneo.com/api/v3/locations/{location}/profiles
{
  "data": [
    {
      "id": 123,
      "location_id": 123,
      "profile_id": "<string>",
      "assignment_type": "<string>",
      "role_type": "<string>",
      "is_default": true,
      "is_active": true,
      "starts_at": "<string>",
      "ends_at": "<string>",
      "external_id": "<string>",
      "profile_external_id": "<string>",
      "sort_order": 123,
      "notes": "<string>",
      "meta": [
        "<unknown>"
      ],
      "excluded_service_handles": [
        "<unknown>"
      ],
      "location": {
        "id": "<string>",
        "name": "<string>",
        "handle": "<string>"
      },
      "profile": {
        "id": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "<string>"
      },
      "created_at": "<string>",
      "updated_at": "<string>",
      "deleted_at": "<string>"
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.omneo.io/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

location
integer
required

The location ID

Query Parameters

filter[assignment_type]
enum<string>
Available options:
staff,
manager,
profile
filter[is_active]
boolean
filter[is_default]
boolean
page[size]
integer
Required range: 1 <= x <= 100

Response

Paginated set of LocationProfileResource

data
LocationProfileResource · object[]
required
meta
object
required